package com.malk.ruisi.schedule;

import com.malk.ruisi.service.RSService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * @EnableScheduling 开启定时任务 [配置参考McScheduleTask]
 */
@Slf4j
@Configuration
@EnableScheduling
@ConditionalOnProperty(name = {"spel.scheduling"})
public class RSScheduleTask {

    @Autowired
    private RSService rsService;

    /**
     * 每天凌晨5点同步
     */
    @Scheduled(cron = "0 0 5 * * ? ")
    public void syncDingTalkFailedList() {
        try {
            rsService.syncDingTalk_exclusive();
        } catch (Exception e) {
            // 记录错误信息
            e.printStackTrace();
        }
    }
}